# Interface X509CheckOptions

#### Hierarchy

- X509CheckOptions

#####
Index

### Properties

multiLabelWildcards?
partialWildcards?
singleLabelSubdomains?
subject?
wildcards?

## Properties

### `Optional` multiLabelWildcards

multiLabelWildcards?: boolean

#### Default

    false

### `Optional` partialWildcards

partialWildcards?: boolean

#### Default

    true

### `Optional` singleLabelSubdomains

singleLabelSubdomains?: boolean

#### Default

    false

### `Optional` subject

subject?: "always" | "default" | "never"

#### Default

    'always'

### `Optional` wildcards

wildcards?: boolean

#### Default

    true

Generated using TypeDoc